package com.ccnode.codegenerator.k;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.ccnode.codegenerator.ae.A;
import com.ccnode.codegenerator.ae.i;
import com.ccnode.codegenerator.ah.a.a;
import com.ccnode.codegenerator.ah.a.b;
import com.ccnode.codegenerator.j.a;
import com.ccnode.codegenerator.j.b;
import com.ccnode.codegenerator.k.a;
import com.ccnode.codegenerator.myconfigurable.Profile;
import com.google.common.collect.Lists;
import com.intellij.ide.plugins.IdeaPluginDescriptor;
import com.intellij.ide.plugins.PluginManager;
import com.intellij.notification.Notification;
import com.intellij.notification.NotificationAction;
import com.intellij.notification.NotificationDisplayType;
import com.intellij.notification.NotificationGroup;
import com.intellij.notification.NotificationListener;
import com.intellij.notification.NotificationType;
import com.intellij.notification.Notifications;
import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.extensions.PluginId;
import com.intellij.openapi.project.DumbAware;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.startup.StartupActivity;
import com.intellij.openapi.util.registry.Registry;
import com.intellij.openapi.util.registry.RegistryValue;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;
import java.util.concurrent.TimeUnit;
import org.jetbrains.annotations.NotNull;

public class c implements DumbAware, StartupActivity {
  private static final NotificationGroup a = new NotificationGroup("MybatisCodeHelper Notification", NotificationDisplayType.STICKY_BALLOON, true);
  
  public void runActivity(@NotNull Project paramProject) {
    try {
      RegistryValue registryValue = Registry.get("psi.modification.tracker.per-language");
      boolean bool = registryValue.asBoolean();
      if (!bool)
        registryValue.setValue(true); 
    } catch (Exception exception) {}
    Profile profile = a.a();
    String str = profile.getCurrentLocale();
    if (str.equals("中文")) {
      Locale.setDefault(Locale.CHINA);
    } else if (str.equals("English")) {
      Locale.setDefault(Locale.ENGLISH);
    } else if (str.equals("DEFAULT")) {
      Boolean bool = b.a;
      if (!bool.booleanValue())
        Locale.setDefault(Locale.CHINA); 
    } 
    i.a.a(a.a().getDebugMode());
    (new Thread(() -> {
          a.a();
          a.a();
          b b = a.a();
          if (!b.a().booleanValue()) {
            a.a().setValid(false);
            Notification notification = a.createNotification(A.a("MybatisCodeHelperProNotActivated"), A.a("MybatisCodeHelperActivateMsg", new Object[] { "https://brucege.com/pay/view" }), NotificationType.WARNING, (NotificationListener)new Object(this));
            notification.addAction((AnAction)NotificationAction.createSimple(A.a("Activation"), (Runnable)new Object(this, notification)));
            notification.addAction((AnAction)NotificationAction.createSimple(A.a("useFreeVersion"), (Runnable)new Object(this, notification)));
            boolean bool = a.a().getUseFreeVersion();
            if (!bool)
              Notifications.Bus.notify(notification, paramProject); 
          } else {
            a.a().setValid(true);
            Date date = b.a();
            long l = a(new Date(), date);
            if (l < 2L) {
              long l1 = a.a().getExpireNotifyDate();
              long l2 = (new Date()).getTime();
              boolean bool = a(l1, l2);
              if (!bool) {
                a.a().setExpireNotifyDate(l2);
                Notification notification = a.createNotification(A.a("MybatisCodeHelperProGonnaExpire", new Object[] { Long.valueOf(l) }), A.a("MybatisCodeHelperActivateMsg", new Object[] { "https://brucege.com/pay/view" }), NotificationType.INFORMATION, (NotificationListener)new Object(this));
                notification.addAction((AnAction)NotificationAction.createSimple(A.a("Activation"), (Runnable)new Object(this, notification)));
                notification.notify(paramProject);
              } 
            } 
          } 
          ArrayList<String> arrayList = Lists.newArrayList(new String[] { "cn.wuzhizhan.plugin.mybatis", "com.baomidou.plugin.idea.mybatisx", "com.github.mustfun.plugin.mybatis", "com.codesmagic.idea.minbatis", "edu.umontreal.hatchery", "com.baomidou.plugin.idea.mybatisPlus", "com.tianlei.plugin.mybatis", "cn.wuzhizhan.idea.mybatis.free-idea-mybatis" });
          ArrayList<?> arrayList1 = Lists.newArrayList();
          for (String str : arrayList) {
            PluginId pluginId = PluginId.findId(str);
            if (pluginId != null && PluginManager.isPluginInstalled(pluginId)) {
              IdeaPluginDescriptor ideaPluginDescriptor = PluginManager.getPlugin(pluginId);
              if (ideaPluginDescriptor != null && ideaPluginDescriptor.isEnabled()) {
                String str1 = ideaPluginDescriptor.getName();
                arrayList1.add(str1);
              } 
            } 
          } 
          if (arrayList1.size() > 0) {
            Notification notification = a.createNotification(A.a("PluginConflictFound"), A.a("PluginCOnflictMessage", new Object[] { String.join(",", (Iterable)arrayList1) }), NotificationType.WARNING, (NotificationListener)new Object(this));
            Notifications.Bus.notify(notification, paramProject);
          } 
        })).start();
  }
  
  private boolean a(long paramLong1, long paramLong2) {
    Calendar calendar = Calendar.getInstance();
    calendar.setTimeInMillis(paramLong1);
    int i = calendar.get(1);
    int j = calendar.get(2);
    int k = calendar.get(5);
    calendar.setTimeInMillis(paramLong2);
    int m = calendar.get(1);
    int n = calendar.get(2);
    int i1 = calendar.get(5);
    return (i == m && j == n && k == i1);
  }
  
  public static long a(Date paramDate1, Date paramDate2) {
    long l = Math.abs(paramDate2.getTime() - paramDate1.getTime());
    return TimeUnit.DAYS.convert(l, TimeUnit.MILLISECONDS);
  }
}
